chữ ký
GET https://0o0.online/api/signatures/
curl --request GET \
--url 'https://0o0.online/api/signatures/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/signatures/' \
--header 'Authorization: Bearer {api_key}' \
| Các Parameters | chi tiết | Mô tả |
|---|---|---|
| search | tùy chọn Ống | Tìm kiếm string |
| search_by | tùy chọn Ống | Các trường bạn đang tìm kiếm bằng. giá trị được cho phép là: name. |
| datetime_field | tùy chọn Ống | Các giá trị được cho phép: datetime, last_datetime |
| datetime_start | tùy chọn Ống | Xác định kết quả bắt đầu từ ngày này. Y-m-d H:i:s định dạng |
| datetime_end | tùy chọn Ống | Tải lọc kết quả cho đến ngày này. Y-m-d H:i:s định dạng |
| order_by | tùy chọn Ống | Nơi nào để đặt các kết quả bằng. giá trị cho phép là: signature_id, datetime, last_datetime, name. |
| order_type | tùy chọn Ống | Quy định của kết quả. giá trị cho phép là: ASC để nâng cao lệnh, và DESC Lệnh xuống. |
| page | tùy chọn toàn bộ | Số trang mà bạn muốn kết quả từ. lỗi để 1. |
| results_per_page | tùy chọn toàn bộ | Có bao nhiêu kết quả bạn muốn cho mỗi trang. giá trị được phép là: 10, 25, 50, 100, 250, 500, 1000. Sai lầm của 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"project_id": 0,
"name": "John Doe",
"template": "mars",
"settings": {
"direction": "ltr",
"is_removed_branding": true,
"image_url": "",
"sign_off": "Regards,",
"full_name": "John Doe",
"job_title": "Software Engineer",
"department": "Engineering",
"company": "Example Company",
"email": "[email protected]",
"website_name": "Example",
"website_url": "https:\/\/example.com\/",
"address": "123 Example Street",
"address_url": "",
"phone_number": "",
"whatsapp": "",
"facebook_messenger": "",
"telegram": "",
"disclaimer": "",
"font_family": "arial",
"font_size": 14,
"width": 500,
"image_width": 50,
"image_border_radius": 0,
"socials_width": 20,
"socials_padding": 10,
"separator_size": 0,
"border_radius": 10,
"background_color": "#f9f9f9",
"border_color": "#e0e0e0",
"theme_color": "#000000",
"full_name_color": "#000000",
"text_color": "#000000",
"link_color": "#000000",
"facebook": "johndoe",
"threads": "johndoe",
"x": "johndoe",
"instagram": "johndoe",
"youtube": "johndoe",
"tiktok": "",
"spotify": "",
"pinterest": "",
"linkedin": "",
"snapchat": "",
"twitch": "",
"discord": "",
"github": "",
"reddit": ""
},
"last_datetime": null,
"datetime": "2026-10-16 03:21:33"
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total_results": 1,
"total_pages": 1
},
"links": {
"first": "https://0o0.online/api/signatures?page=1",
"last": "https://0o0.online/api/signatures?page=1",
"next": null,
"prev": null,
"self": "https://0o0.online/api/signatures?page=1"
}
}
GET https://0o0.online/api/signatures/{signature_id}
curl --request GET \
--url 'https://0o0.online/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 0,
"name": "Jane Doe",
"template": "mars",
"settings": {
"direction": "ltr",
"is_removed_branding": true,
"image_url": "",
"sign_off": "Regards,",
"full_name": "Jane Doe",
"job_title": "Software Engineer",
"department": "Engineering",
"company": "Example Company",
"email": "[email protected]",
"website_name": "Example",
"website_url": "https:\/\/example.com\/",
"address": "123 Example Street",
"address_url": "",
"phone_number": "",
"whatsapp": "",
"facebook_messenger": "",
"telegram": "",
"disclaimer": "",
"font_family": "arial",
"font_size": 14,
"width": 500,
"image_width": 50,
"image_border_radius": 0,
"socials_width": 20,
"socials_padding": 10,
"separator_size": 0,
"border_radius": 10,
"background_color": "#f9f9f9",
"border_color": "#e0e0e0",
"theme_color": "#000000",
"full_name_color": "#000000",
"text_color": "#000000",
"link_color": "#000000",
"facebook": "janedoe",
"threads": "janedoe",
"x": "janedoe",
"instagram": "janedoe",
"youtube": "janedoe",
"tiktok": "",
"spotify": "",
"pinterest": "",
"linkedin": "",
"snapchat": "",
"twitch": "",
"discord": "",
"github": "",
"reddit": ""
},
"last_datetime": null,
"datetime": "2026-10-16 03:21:33"
}
}
POST https://0o0.online/api/signatures
| Các Parameters | chi tiết | Mô tả |
|---|---|---|
| name | Bắt buộc Ống | Tên |
| project_id | tùy chọn toàn bộ | Một dự án sẽ giúp bạn phân loại tài nguyên của bạn. |
| template | tùy chọn Ống | Các giá trị được cho phép: plain_text, mars, mercury, venus, nova |
| direction | tùy chọn Ống | Các giá trị được cho phép: ltr, rtl |
| is_removed_branding | tùy chọn Boolean | Xóa Branding |
| image_url | tùy chọn Ống | Chỉ sử dụng JPG, JPEG, GIF, PNG hình ảnh |
| sign_off | tùy chọn Ống | Đăng ký off |
| full_name | tùy chọn Ống | Tên đầy đủ |
| job_title | tùy chọn Ống | Tên công việc |
| department | tùy chọn Ống | Bộ phận |
| company | tùy chọn Ống | Công ty |
| tùy chọn Ống | ||
| website_name | tùy chọn Ống | Tên website |
| website_url | tùy chọn Ống | Trang web URL |
| address | tùy chọn Ống | Địa chỉ |
| address_url | tùy chọn Ống | liên kết đến a Google Bản đồ địa điểm, ví dụ. |
| phone_number | tùy chọn Ống | Số điện thoại |
| tùy chọn Ống | ||
| facebook_messenger | tùy chọn Ống | Facebook Messenger tên người dùng |
| telegram | tùy chọn Ống | Telegram Tên người dùng |
| disclaimer | tùy chọn Ống | Disclaimer văn bản |
| font_family | tùy chọn Ống | Các giá trị được cho phép: arial, verdana, helvetica, times_new_roman, georgia |
| font_size | tùy chọn toàn bộ | Các giá trị được cho phép: 12-18 |
| width | tùy chọn toàn bộ | Các giá trị được cho phép: 300-600 |
| image_width | tùy chọn toàn bộ | Các giá trị được cho phép: 45-150 |
| image_border_radius | tùy chọn toàn bộ | Các giá trị được cho phép: 0-100 |
| socials_width | tùy chọn toàn bộ | Các giá trị được cho phép: 15-30 |
| socials_padding | tùy chọn toàn bộ | Các giá trị được cho phép: 5-15 |
| separator_size | tùy chọn toàn bộ | Các giá trị được cho phép: 0-5 |
| border_radius | tùy chọn toàn bộ | Các giá trị được cho phép: 0-30 |
| background_color | tùy chọn Ống | Màu nền |
| border_color | tùy chọn Ống | Màu biên giới |
| theme_color | tùy chọn Ống | Chủ đề Màu sắc |
| full_name_color | tùy chọn Ống | Tên đầy đủ Màu sắc |
| text_color | tùy chọn Ống | Text màu |
| link_color | tùy chọn Ống | Link màu |
| tùy chọn Ống | Facebook Tên người dùng | |
| threads | tùy chọn Ống | Thảm họa User Name |
| x | tùy chọn Ống | X Tên người dùng |
| tùy chọn Ống | Instagram Tên người dùng | |
| youtube | tùy chọn Ống | YouTube kênh |
| tiktok | tùy chọn Ống | TikTok Tên người dùng |
| spotify | tùy chọn Ống | Spotify Tên người dùng |
| tùy chọn Ống | Pinterest Tên người dùng | |
| tùy chọn Ống | LinkedIn Tên người dùng | |
| snapchat | tùy chọn Ống | Snapchat Tên người dùng |
| twitch | tùy chọn Ống | Twitch Tên người dùng |
| discord | tùy chọn Ống | Discord ID người dùng |
| github | tùy chọn Ống | Tên người dùng GitHub |
| tùy chọn Ống | Reddit Tên người dùng |
curl --request POST \
--url 'https://0o0.online/api/signatures' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Jane Doe' \
--form 'template=nova' \
--form 'full_name=Jane Doe' \
--form 'job_title=Software Engineer' \
--form 'company=Example Company' \
--form 'email=[email protected]' \
--form 'background_color=#f8fafc' \
--form 'border_color=#cbd5e1' \
--form 'theme_color=#2563eb'
--url 'https://0o0.online/api/signatures' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Jane Doe' \
--form 'template=nova' \
--form 'full_name=Jane Doe' \
--form 'job_title=Software Engineer' \
--form 'company=Example Company' \
--form 'email=[email protected]' \
--form 'background_color=#f8fafc' \
--form 'border_color=#cbd5e1' \
--form 'theme_color=#2563eb'
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 0,
"name": "Jane Doe",
"template": "nova",
"settings": {
"direction": "ltr",
"is_removed_branding": false,
"image_url": "",
"sign_off": "Regards,",
"full_name": "Jane Doe",
"job_title": "Software Engineer",
"department": "",
"company": "Example Company",
"email": "[email protected]",
"website_name": "",
"website_url": "",
"address": "",
"address_url": "",
"phone_number": "",
"whatsapp": null,
"facebook_messenger": "",
"telegram": "",
"disclaimer": "",
"font_family": "arial",
"font_size": 14,
"width": 500,
"image_width": 50,
"image_border_radius": 0,
"socials_width": 20,
"socials_padding": 10,
"separator_size": 1,
"border_radius": 10,
"background_color": "#f8fafc",
"border_color": "#cbd5e1",
"theme_color": "#2563eb",
"full_name_color": "#000000",
"text_color": "#000000",
"link_color": "#000000",
"facebook": "",
"threads": "",
"x": "",
"instagram": "",
"youtube": "",
"tiktok": "",
"spotify": "",
"pinterest": "",
"linkedin": "",
"snapchat": "",
"twitch": "",
"discord": "",
"github": "",
"reddit": ""
},
"last_datetime": null,
"datetime": "2026-10-16 03:21:33"
}
}
POST https://0o0.online/api/signatures/{signature_id}
| Các Parameters | chi tiết | Mô tả |
|---|---|---|
| name | tùy chọn Ống | Tên |
| project_id | tùy chọn toàn bộ | Một dự án sẽ giúp bạn phân loại tài nguyên của bạn. |
| template | tùy chọn Ống | Các giá trị được cho phép: plain_text, mars, mercury, venus, nova |
| direction | tùy chọn Ống | Các giá trị được cho phép: ltr, rtl |
| is_removed_branding | tùy chọn Boolean | Xóa Branding |
| image_url | tùy chọn Ống | Chỉ sử dụng JPG, JPEG, GIF, PNG hình ảnh |
| sign_off | tùy chọn Ống | Đăng ký off |
| full_name | tùy chọn Ống | Tên đầy đủ |
| job_title | tùy chọn Ống | Tên công việc |
| department | tùy chọn Ống | Bộ phận |
| company | tùy chọn Ống | Công ty |
| tùy chọn Ống | ||
| website_name | tùy chọn Ống | Tên website |
| website_url | tùy chọn Ống | Trang web URL |
| address | tùy chọn Ống | Địa chỉ |
| address_url | tùy chọn Ống | liên kết đến a Google Bản đồ địa điểm, ví dụ. |
| phone_number | tùy chọn Ống | Số điện thoại |
| tùy chọn Ống | ||
| facebook_messenger | tùy chọn Ống | Facebook Messenger tên người dùng |
| telegram | tùy chọn Ống | Telegram Tên người dùng |
| disclaimer | tùy chọn Ống | Disclaimer văn bản |
| font_family | tùy chọn Ống | Các giá trị được cho phép: arial, verdana, helvetica, times_new_roman, georgia |
| font_size | tùy chọn toàn bộ | Các giá trị được cho phép: 12-18 |
| width | tùy chọn toàn bộ | Các giá trị được cho phép: 300-600 |
| image_width | tùy chọn toàn bộ | Các giá trị được cho phép: 45-150 |
| image_border_radius | tùy chọn toàn bộ | Các giá trị được cho phép: 0-100 |
| socials_width | tùy chọn toàn bộ | Các giá trị được cho phép: 15-30 |
| socials_padding | tùy chọn toàn bộ | Các giá trị được cho phép: 5-15 |
| separator_size | tùy chọn toàn bộ | Các giá trị được cho phép: 0-5 |
| border_radius | tùy chọn toàn bộ | Các giá trị được cho phép: 0-30 |
| background_color | tùy chọn Ống | Màu nền |
| border_color | tùy chọn Ống | Màu biên giới |
| theme_color | tùy chọn Ống | Chủ đề Màu sắc |
| full_name_color | tùy chọn Ống | Tên đầy đủ Màu sắc |
| text_color | tùy chọn Ống | Text màu |
| link_color | tùy chọn Ống | Link màu |
| tùy chọn Ống | Facebook Tên người dùng | |
| threads | tùy chọn Ống | Thảm họa User Name |
| x | tùy chọn Ống | X Tên người dùng |
| tùy chọn Ống | Instagram Tên người dùng | |
| youtube | tùy chọn Ống | YouTube kênh |
| tiktok | tùy chọn Ống | TikTok Tên người dùng |
| spotify | tùy chọn Ống | Spotify Tên người dùng |
| tùy chọn Ống | Pinterest Tên người dùng | |
| tùy chọn Ống | LinkedIn Tên người dùng | |
| snapchat | tùy chọn Ống | Snapchat Tên người dùng |
| twitch | tùy chọn Ống | Twitch Tên người dùng |
| discord | tùy chọn Ống | Discord ID người dùng |
| github | tùy chọn Ống | Tên người dùng GitHub |
| tùy chọn Ống | Reddit Tên người dùng |
curl --request POST \
--url 'https://0o0.online/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Jane Doe Signature' \
--form 'border_radius=16' \
--form 'background_color=#fff7ed' \
--form 'border_color=#fed7aa' \
--form 'theme_color=#c2410c'
--url 'https://0o0.online/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Jane Doe Signature' \
--form 'border_radius=16' \
--form 'background_color=#fff7ed' \
--form 'border_color=#fed7aa' \
--form 'theme_color=#c2410c'
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 0,
"name": "Jane Doe Signature",
"template": "nova",
"settings": {
"direction": "ltr",
"is_removed_branding": false,
"image_url": "",
"sign_off": "Regards,",
"full_name": "Jane Doe",
"job_title": "Software Engineer",
"department": "",
"company": "Example Company",
"email": "[email protected]",
"website_name": "",
"website_url": "",
"address": "",
"address_url": "",
"phone_number": "",
"whatsapp": null,
"facebook_messenger": "",
"telegram": "",
"disclaimer": "",
"font_family": "arial",
"font_size": 14,
"width": 500,
"image_width": 50,
"image_border_radius": 0,
"socials_width": 20,
"socials_padding": 10,
"separator_size": 1,
"border_radius": 16,
"background_color": "#fff7ed",
"border_color": "#fed7aa",
"theme_color": "#c2410c",
"full_name_color": "#000000",
"text_color": "#000000",
"link_color": "#000000",
"facebook": "",
"threads": "",
"x": "",
"instagram": "",
"youtube": "",
"tiktok": "",
"spotify": "",
"pinterest": "",
"linkedin": "",
"snapchat": "",
"twitch": "",
"discord": "",
"github": "",
"reddit": ""
},
"last_datetime": "2026-10-16 03:21:33",
"datetime": "2026-10-16 03:21:33"
}
}
DELETE https://0o0.online/api/signatures/{signature_id}
curl --request DELETE \
--url 'https://0o0.online/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \